Package ru.bitel.bgbilling.kernel.module.common.bean

# Class BGInstalledModule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.BGInstalledModule

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class BGInstalledModule
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `TYPE_MODULE` |
  `static java.lang.String` | `TYPE_PLUGIN` |
  `static java.lang.String` | `TYPE_UPDATE` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGInstalledModule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getBuild()` |
  `java.util.Map<java.lang.String,​org.w3c.dom.Element>` | `getClientExtensionMap()` |
  `java.lang.String` | `getName()` |
  `java.lang.String` | `getPackageClient()` |
  `java.lang.String` | `getPackageServer()` |
  `java.util.Map<java.lang.String,​org.w3c.dom.Element>` | `getServerExtensionMap()` |
  `java.lang.String` | `getType()` |
  `java.lang.String` | `getVersion()` |
  `boolean` | `isEnabled()` |
  `void` | `setBuild​(java.lang.String build)` |
  `void` | `setEnabled​(boolean enabled)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setPackageClient​(java.lang.String packageClient)` |
  `void` | `setPackageServer​(java.lang.String packageServer)` |
  `void` | `setType​(java.lang.String type)` |
  `void` | `setVersion​(java.lang.String version)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### TYPE_MODULE

    public static final java.lang.String TYPE_MODULE
    See Also:
      Constant Field Values

  - ### TYPE_PLUGIN

    public static final java.lang.String TYPE_PLUGIN
    See Also:
      Constant Field Values

  - ### TYPE_UPDATE

    public static final java.lang.String TYPE_UPDATE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### BGInstalledModule

    public BGInstalledModule()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled​(boolean enabled)

  - ### getType

    public java.lang.String getType()

  - ### setType

    public void setType​(java.lang.String type)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getVersion

    public java.lang.String getVersion()

  - ### setVersion

    public void setVersion​(java.lang.String version)

  - ### getPackageClient

    public java.lang.String getPackageClient()

  - ### setPackageClient

    public void setPackageClient​(java.lang.String packageClient)

  - ### getPackageServer

    public java.lang.String getPackageServer()

  - ### setPackageServer

    public void setPackageServer​(java.lang.String packageServer)

  - ### getBuild

    public java.lang.String getBuild()

  - ### setBuild

    public void setBuild​(java.lang.String build)

  - ### getServerExtensionMap

    public java.util.Map<java.lang.String,​org.w3c.dom.Element> getServerExtensionMap()

  - ### getClientExtensionMap

    public java.util.Map<java.lang.String,​org.w3c.dom.Element> getClientExtensionMap()